package fr.dgedl.demo.service;

import java.util.List;

import fr.dgedl.demo.persistence.entity.UserAccount;

public interface UserService {

	/**
	 * @param email
	 * @param password
	 * @return
	 */
	public abstract UserAccount login(String email, String password);
	
	/**
	 * @param email
	 * @param password
	 * @return
	 */
	public abstract UserAccount register(String email, String password);
	
	/**
	 * Rcupre un compte utilisateur donn par son identifiant
	 * @param id
	 * @return
	 */
	public abstract UserAccount getAccountWithId(Integer id);
	
	/**
	 * Rcupre l'ensemble des utilisateurs enregistrs.
	 * @return
	 */
	public abstract List<UserAccount> getAllAccounts();
	
}