package fr.dgedl.demo.web.controller;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import fr.dgedl.demo.persistence.entity.UserAccount;
import fr.dgedl.demo.service.UserService;

@Controller @RequestMapping("/user")
public class UserController {
	
	private static final Log LOG = LogFactory.getFactory().getInstance(UserController.class);
	
	@Autowired
	private UserService userService;
	
	@RequestMapping(value="/list", method=RequestMethod.GET)
	@ResponseBody
	public List<UserAccount> list(HttpServletRequest request, HttpServletResponse response) {
		LOG.info("Rcupration des utilisateurs au format JSON");
		return userService.getAllAccounts();
	}
	
}